From f268a1b9302c3bc9a1697a8abac2725506b8f469 Mon Sep 17 00:00:00 2001
From: Patrick_Pluto <patrick_pluto@noreply.codeberg.org>
Date: Wed, 9 Oct 2024 13:10:03 +0200
Subject: [PATCH] fixes.sh

---
 deployment_scripts/linux/prepare-free.sh    | 0
 deployment_scripts/linux/prepare-nonfree.sh | 0
 deployment_scripts/linux/root.sh            | 4 +++-
 3 files changed, 3 insertions(+), 1 deletion(-)
 mode change 100644 => 100755 deployment_scripts/linux/prepare-free.sh
 mode change 100644 => 100755 deployment_scripts/linux/prepare-nonfree.sh

diff --git a/deployment_scripts/linux/prepare-free.sh b/deployment_scripts/linux/prepare-free.sh
old mode 100644
new mode 100755
diff --git a/deployment_scripts/linux/prepare-nonfree.sh b/deployment_scripts/linux/prepare-nonfree.sh
old mode 100644
new mode 100755
diff --git a/deployment_scripts/linux/root.sh b/deployment_scripts/linux/root.sh
index 49b0563..e5805d2 100644
--- a/deployment_scripts/linux/root.sh
+++ b/deployment_scripts/linux/root.sh
@@ -1,5 +1,7 @@
 #!/bin/bash
 
 apt install npm nodejs python3-pip -y
-curl -fsSL https://ollama.com/install.sh | sh
+if ! ollama; then
+    curl -fsSL https://ollama.com/install.sh | sh
+fi
 systemctl enable ollama --now
\ No newline at end of file